Home
Support Forums

New to netlify and I'm getting an an error when trying to deploy my app

Here is the deploy log from netlify. Any help is greatly appreciated.

12:07:47 PM: Build ready to start
12:07:49 PM: build-image version: 0582042f4fc261adc7bd8333f34884959c577302
12:07:49 PM: build-image tag: v3.7.6
12:07:49 PM: buildbot version: 00e794c8abfdf634e411d5afc169b41bd6a2f9f3
12:07:49 PM: Fetching cached dependencies
12:07:49 PM: Failed to fetch cache, continuing with build
12:07:49 PM: Starting to prepare the repo for build
12:07:50 PM: No cached dependencies found. Cloning fresh repo
12:07:50 PM: git clone https://github.com/Seanmcs/euro2020
12:07:50 PM: Preparing Git Reference refs/heads/main
12:07:51 PM: Parsing package.json dependencies
12:07:51 PM: Starting build script
12:07:51 PM: Installing dependencies
12:07:51 PM: Python version set to 2.7
12:07:53 PM: v12.18.0 is already installed.
12:07:53 PM: Now using node v12.18.0 (npm v6.14.4)
12:07:53 PM: Started restoring cached build plugins
12:07:53 PM: Finished restoring cached build plugins
12:07:53 PM: Attempting ruby version 2.7.1, read from environment
12:07:54 PM: Using ruby version 2.7.1
12:07:54 PM: Using PHP version 5.6
12:07:54 PM: Started restoring cached node modules
12:07:54 PM: Finished restoring cached node modules
12:07:55 PM: Installing NPM modules using NPM version 6.14.4
12:07:58 PM: npm WARN read-shrinkwrap This version of npm is compatible with lockfileVersion@1, but package-lock.json was generated for lockfileVersion@2. I'll try to do my best with it!
npm ERR! code EBADPLATFORM
12:07:58 PM: npm ERR! notsup Unsupported platform for fsevents@2.3.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})
12:07:58 PM: npm ERR! notsup Valid OS:    darwin
12:07:58 PM: npm ERR! notsup Valid Arch:  any
12:07:58 PM: npm ERR! notsup Actual OS:   linux
12:07:58 PM: npm ERR! notsup Actual Arch: x64
12:07:58 PM: npm ERR! A complete log of this run can be found in:
12:07:58 PM: npm ERR!     /opt/buildhome/.npm/_logs/2021-06-13T11_07_58_382Z-debug.log
12:07:58 PM: Error during NPM install
12:07:58 PM: Build was terminated: Build script returned non-zero exit code: 1
12:07:58 PM: Creating deploy upload records
12:07:58 PM: Failing build: Failed to build site
12:07:58 PM: Failed during stage 'building site': Build script returned non-zero exit code: 1
12:07:58 PM: Finished processing build request in 9.307520403s

Hi @seanmcs92,

Is there a chance you’ve a package-lock.json file in your repo? if yes, removing that might help.

Hey, I do have that file. I’ve tried removing it and then building it and still getting the same error

That’s the only solution for that error known to me. Is there a chance you could share your repo so we can check further?

1 Like

This solve my problem. Thanks!